Index: uspace/app/tetris/tetris.h
===================================================================
--- uspace/app/tetris/tetris.h	(revision 00acd66d3981789b3f8b04cdd854d29343dd9aa0)
+++ uspace/app/tetris/tetris.h	(revision f3afd24a0d1153d9f334ec48804a551d363339fd)
@@ -37,5 +37,5 @@
 
 /** @addtogroup tetris
- * @{ 
+ * @{
  */
 /** @file
@@ -56,27 +56,30 @@
  */
 
-	/* the board */
-#define	B_COLS	12
-#define	B_ROWS	23
-#define	B_SIZE	(B_ROWS * B_COLS)
+/* The board */
+#define B_COLS  12
+#define B_ROWS  23
+#define B_SIZE  (B_ROWS * B_COLS)
 
-typedef unsigned char cell;
-extern cell	board[B_SIZE];	/* 1 => occupied, 0 => empty */
+typedef uint32_t cell;
 
-	/* the displayed area (rows) */
-#define	D_FIRST	1
-#define	D_LAST	22
+extern cell board[B_SIZE];  /* 1 => occupied, 0 => empty */
 
-	/* the active area (rows) */
-#define	A_FIRST	1
-#define	A_LAST	21
+/* The displayed area (rows) */
+#define D_FIRST  1
+#define D_LAST   22
+
+/* The active area (rows) */
+#define A_FIRST  1
+#define A_LAST   21
 
 /*
  * Minimum display size.
  */
-#define	MINROWS	23
-#define	MINCOLS	40
+#define MINROWS  23
+#define MINCOLS  40
 
-extern int	Rows, Cols;	/* current screen size */
+/* Current screen size */
+extern int Rows;
+extern int Cols;
 
 /*
@@ -84,6 +87,6 @@
  * As with board coordinates, display coordiates are zero origin.
  */
-#define	RTOD(x)	((x) - 1)
-#define	CTOD(x)	((x) * 2 + (((Cols - 2 * B_COLS) >> 1) - 1))
+#define RTOD(x)  ((x) - 1)
+#define CTOD(x)  ((x) * 2 + (((Cols - 2 * B_COLS) >> 1) - 1))
 
 /*
@@ -91,20 +94,20 @@
  * are 7 basic shapes, each consisting of four `blots':
  *
- *	X.X	  X.X		X.X
- *	  X.X	X.X	X.X.X	X.X	X.X.X	X.X.X	X.X.X.X
- *			  X		X	    X
+ *      X.X       X.X           X.X
+ *        X.X   X.X     X.X.X   X.X     X.X.X   X.X.X   X.X.X.X
+ *                        X             X           X
  *
- *	  0	  1	  2	  3	  4	  5	  6
+ *          0     1       2       3       4       5       6
  *
  * Except for 3 and 6, the center of each shape is one of the blots.
- * This blot is designated (0,0).  The other three blots can then be
+ * This blot is designated (0, 0).  The other three blots can then be
  * described as offsets from the center.  Shape 3 is the same under
  * rotation, so its center is effectively irrelevant; it has been chosen
  * so that it `sticks out' upward and leftward.  Except for shape 6,
- * all the blots are contained in a box going from (-1,-1) to (+1,+1);
+ * all the blots are contained in a box going from (-1, -1) to (+1, +1);
  * shape 6's center `wobbles' as it rotates, so that while it `sticks out'
  * rightward, its rotation---a vertical line---`sticks out' downward.
- * The containment box has to include the offset (2,0), making the overall
- * containment box range from offset (-1,-1) to (+2,+1).  (This is why
+ * The containment box has to include the offset (2, 0), making the overall
+ * containment box range from offset (-1, -1) to (+2, +1).  (This is why
  * there is only one row above, but two rows below, the display area.)
  *
@@ -117,5 +120,5 @@
  * these rows move down to make more room.  A new random shape is again
  * introduced at the top of the board, and the whole process repeats.
- * The game ends when the new shape will not fit at (1,5).
+ * The game ends when the new shape will not fit at (1, 5).
  *
  * While the shapes are falling, the user can rotate them counterclockwise
@@ -129,7 +132,8 @@
  */
 struct shape {
-	int	rot;	/* index of rotated version of this shape */
-	int	rotc;	/* -- " -- in classic version  */
-	int	off[3];	/* offsets to other blots if center is at (0,0) */
+	int rot;     /* index of rotated version of this shape */
+	int rotc;    /* -- " -- in classic version  */
+	int off[3];  /* offsets to other blots if center is at (0,0) */
+	uint32_t color;
 };
 
@@ -149,6 +153,7 @@
  * but by then the game is utterly impossible.
  */
-extern long	fallrate;	/* less than 1 million; smaller => faster */
-#define	faster() (fallrate -= fallrate / 3000)
+extern long fallrate;  /* less than 1 million; smaller => faster */
+
+#define faster()  (fallrate -= fallrate / 3000)
 
 /*
@@ -156,6 +161,6 @@
  * and affects scoring.
  */
-#define	MINLEVEL	1
-#define	MAXLEVEL	9
+#define MINLEVEL  1
+#define MAXLEVEL  9
 
 /*
@@ -171,18 +176,16 @@
  * If previewing has been turned on, the score is multiplied by PRE_PENALTY.
  */
-#define PRE_PENALTY 0.75
+#define PRE_PENALTY  0.75
 
-extern int	score;		/* the obvious thing */
-//extern gid_t	gid, egid;
+extern int score;  /* The obvious thing */
 
-extern char	key_msg[100];
-extern int	showpreview;
-extern int	classic;
+extern char key_msg[100];
+extern int showpreview;
+extern int classic;
 
-int	fits_in(const struct shape *, int);
-void	place(const struct shape *, int, int);
-void	stop(char *);
+extern int fits_in(const struct shape *, int);
+extern void place(const struct shape *, int, int);
+extern void stop(char *);
 
 /** @}
  */
-
